### File

`src/lib/config.ts`

### Index

###### Properties
Optional empty Optional hidden Optional href Optional icon Optional id Optional image label Optional permissions Optional routerLink Optional target

### Properties

empty
`empty: ```
Optional

hidden
`hidden: `boolean``
Type : `boolean`
Optional

href
`href: `string``
Type : `string`
Optional

icon
`icon: `IconConfig``
Type : `IconConfig`
Optional

id
`id: `string``
Type : `string`
Optional

image
`image: `string``
Type : `string`
Optional

label
`label: `string``
Type : `string`

permissions
`permissions: `string[]``
Type : `string[]`
Optional

routerLink
`routerLink: `string[]``
Type : `string[]`
Optional

target
`target: `string``
Type : `string`
Optional

    import { IconConfig } from '@rxap/utilities';

    export interface AppsNavigationConfig {
      target?: string;
      image?: string;
      label: string;
      href?: string;
      routerLink?: string[];
      empty?: false;
      hidden?: boolean;
      id?: string;
      permissions?: string[];
      icon?: IconConfig;
    }

    export interface LogoConfig {
      src?: string;
      width?: number;
      height?: number;
    }

    export interface NavigationConfig {
      apps?: AppsNavigationConfig[];
      collapsable?: boolean;
      pinned?: boolean;
      mode?: 'side' | 'over';
      opened?: boolean;
      fixedInViewport?: boolean;
      mobileQuery?: string;
    }

    export type LanguagesConfig = Record<string, string>;

    export interface i18nConfig {
      languages?: LanguagesConfig;
      defaultLanguage?: string;
    }

    export interface Oauth2Config {
      profileUrl?: string;
    }

    export interface Config {
      navigation?: NavigationConfig;
      logo?: LogoConfig;
      i18n?: i18nConfig;
      oauth2?: Oauth2Config;
    }

# results matching ""

# No results matching ""